Skip to contents

# Extract attribute. Returns NA if none

Source: `R/as_factor.R`
`get_attr.Rd`

Extract attribute. Returns NA if none

## Usage

    get_attr(data, attr = NULL)

## Arguments

data

  vector

attr

  attribute name

## Value

character vector

## Examples

    attr(mtcars$mpg, "label") <- "testing"
    do.call(c, sapply(mtcars, get_attr))
    #> $mpg.label
    #> [1] "testing"
    #>
    if (FALSE) { # \dontrun{
    mtcars |>
      numchar2fct(numeric.threshold = 6) |>
      ds2dd_detailed()
    } # }